Rename dispatch_queued to process_queued_ios etc.
--- diff/drivers/md/dm-mpath.c	2004-10-29 15:39:07.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2004-10-29 15:39:13.000000000 +0100
@@ -62,7 +62,7 @@
 	struct priority_group *current_pg;
 	unsigned current_count;
 
-	struct work_struct dispatch_queued;
+	struct work_struct process_queued_ios;
 	struct bio_list queued_ios;
 
 	struct work_struct trigger_event;
@@ -84,7 +84,7 @@
 #define MIN_IOS 256
 static kmem_cache_t *_mpio_cache;
 
-static void dispatch_queued_ios(void *data);
+static void process_queued_ios(void *data);
 static void trigger_event(void *data);
 
 static struct path *alloc_path(void)
@@ -153,7 +153,7 @@
 		memset(m, 0, sizeof(*m));
 		INIT_LIST_HEAD(&m->priority_groups);
 		m->lock = SPIN_LOCK_UNLOCKED;
-		INIT_WORK(&m->dispatch_queued, dispatch_queued_ios, m);
+		INIT_WORK(&m->process_queued_ios, process_queued_ios, m);
 		INIT_WORK(&m->trigger_event, trigger_event, m);
 		m->mpio_pool = mempool_create(MIN_IOS, mempool_alloc_slab,
 					      mempool_free_slab, _mpio_cache);
@@ -280,10 +280,8 @@
 	return 0;		/* Queued */
 }
 
-static void dispatch_queued_ios(void *data)
+static void dispatch_queued_ios(struct multipath *m)
 {
-	struct multipath *m = (struct multipath *) data;
-
 	int r;
 	unsigned long flags;
 	struct bio *bio = NULL, *next;
@@ -311,6 +309,13 @@
 	}
 }
 
+static void process_queued_ios(void *data)
+{
+	struct multipath *m = (struct multipath *) data;
+
+	dispatch_queued_ios(m);
+}
+
 static void trigger_event(void *data)
 {
 	struct multipath *m = (struct multipath *) data;
@@ -739,7 +744,7 @@
 
 	spin_lock_irqsave(&m->lock, flags);
 	m->initialising_pg = 0;
-	schedule_work(&m->dispatch_queued);
+	schedule_work(&m->process_queued_ios);
 	spin_unlock_irqrestore(&m->lock, flags);
 }
 
@@ -775,7 +780,7 @@
 		spin_lock(&m->lock);
 		bio_list_add(&m->queued_ios, bio);
 		if (!m->initialising_pg)
-			schedule_work(&m->dispatch_queued);
+			schedule_work(&m->process_queued_ios);
 		spin_unlock(&m->lock);
 
 		return 1;	/* io not complete */
